XSLTRendererVisitor (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.renderer
Class XSLTRendererVisitor

    java.lang.Object
      fr.inrialpes.exmo.align.impl.renderer.XSLTRendererVisitor

All Implemented Interfaces:
  AlignmentVisitor

    public class XSLTRendererVisitor

extends Object
implements AlignmentVisitor

Renders an alignment as a XSLT stylesheet transforming .data of the first ontology into the second one.

Version:
  $Id: XSLTRendererVisitor.java 1299 2010-03-07 19:47:04Z euzenat $
Author:
  Jérôme Euzenat

Field Summary
`(package private) Alignment` | `alignment`
`(package private) Cell` | `cell`
`(package private) boolean` | `embedded`
`(package private) Hashtable<String,String>` | `namespaces`
`(package private) int` | `nsrank`
`(package private) LoadedOntology` | `onto1`
`(package private) LoadedOntology` | `onto2`
`(package private) PrintWriter` | `writer`

Constructor Summary
`XSLTRendererVisitor(PrintWriter writer)`

Method Summary
`private void` | `collectURIs(Cell cell)`
`void` | `init(Properties p)`
`private String` | `namespacify(URI u)`
`void` | `visit(Alignment align)`
`void` | `visit(Cell cell)`
`void` | `visit(EquivRelation rel)`
`void` | `visit(IncompatRelation rel)`
`void` | `visit(Relation rel)`
`void` | `visit(SubsumedRelation rel)`
`void` | `visit(SubsumeRelation rel)`
`void` | `visit(Visitable o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### writer

    PrintWriter writer

### alignment

    Alignment alignment

### cell

    Cell cell

### onto1

    LoadedOntology onto1

### onto2

    LoadedOntology onto2

### namespaces

    Hashtable<String,String> namespaces

### nsrank

    int nsrank

### embedded

    boolean embedded

Constructor Detail

### XSLTRendererVisitor

    public XSLTRendererVisitor(PrintWriter writer)

Method Detail

### init

    public void init(Properties p)

  Specified by:
    `init` in interface `AlignmentVisitor`

### visit

    public void visit(Visitable o)
               throws AlignmentException

  Specified by:
    `visit` in interface `AlignmentVisitor`
  Throws:
    `AlignmentException`

### visit

    public void visit(Alignment align)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(Cell cell)
               throws AlignmentException

  Throws:
    `AlignmentException`

### collectURIs

    private void collectURIs(Cell cell)
                      throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(EquivRelation rel)
               throws AlignmentException

  Throws:
    `AlignmentException`

### namespacify

    private String namespacify(URI u)

### visit

    public void visit(SubsumeRelation rel)

### visit

    public void visit(SubsumedRelation rel)

### visit

    public void visit(IncompatRelation rel)

### visit

    public void visit(Relation rel)
               throws AlignmentException

  Throws:
    `AlignmentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010